searchNodes=[{"doc":"Implements strategy for authenticating with Okta.","ref":"ExOktaAuth.Okta.html","title":"ExOktaAuth.Okta","type":"module"},{"doc":"Callback implementation for ExOAuth2.Strategy.authorize_url/2.","ref":"ExOktaAuth.Okta.html#authorize_url/2","title":"ExOktaAuth.Okta.authorize_url/2","type":"function"},{"doc":"Given necessary arguments generates authorization URL and parameters for interacting with Okta as a provider","ref":"ExOktaAuth.Okta.html#authorize_url!/0","title":"ExOktaAuth.Okta.authorize_url!/0","type":"function"},{"doc":"Given necessary arguments generates authorization URL and parameters for interacting with Okta as a provider then redirects to given url to commence auth sequence","ref":"ExOktaAuth.Okta.html#authorize_url!/1","title":"ExOktaAuth.Okta.authorize_url!/1","type":"function"},{"doc":"Creates a new ExOAuth2 client that will be used to communicate with Okta","ref":"ExOktaAuth.Okta.html#client/0","title":"ExOktaAuth.Okta.client/0","type":"function"},{"doc":"Callback implementation for ExOAuth2.Strategy.get_token/3.","ref":"ExOktaAuth.Okta.html#get_token/3","title":"ExOktaAuth.Okta.get_token/3","type":"function"},{"doc":"Retrieve an access token and authenticate via authentication header","ref":"ExOktaAuth.Okta.html#get_token!/3","title":"ExOktaAuth.Okta.get_token!/3","type":"function"},{"doc":"Retrieve an access token but does not send authorization header to authorization server","ref":"ExOktaAuth.Okta.html#get_token_without_auth/3","title":"ExOktaAuth.Okta.get_token_without_auth/3","type":"function"},{"doc":"Retrieve an access token but does not send the authorization header to authorization server. This is necessary in the case of okta since since otherwise okta will complain.","ref":"ExOktaAuth.Okta.html#get_token_without_auth!/3","title":"ExOktaAuth.Okta.get_token_without_auth!/3","type":"function"},{"doc":"Retrieve the authenticated users profile information","ref":"ExOktaAuth.Okta.html#get_user_info/3","title":"ExOktaAuth.Okta.get_user_info/3","type":"function"},{"doc":"ExOktaAuthAn Elixir library that enables your application to work with Okta via OAuth 2.0/OIDC","ref":"readme.html","title":"ExOktaAuth","type":"extras"},{"doc":"If available in Hex, the package can be installed by adding ex_okta_auth to your list of dependencies in mix.exs: def deps do [{:ex_okta_auth, &quot;~&gt; 0.1.0&quot;}] endAdd :ex_okta_auth to your applications: def application do [extra_applications: [:ex_okta_auth]] endAdd your configuration for okta to your applications config.exconfig :ex_okta_auth, ExOktaAuth.Okta, client_id: System.get_env(&quot;OKTA_CLIENT_ID&quot;), client_secret: System.get_env(&quot;OKTA_CLIENT_SECRET&quot;), site: &quot;https://your-doman.okta.com&quot;, redirect_uri: &quot;https://your-apps-callback-uri&quot;Create scope in your routes to handle the requests and callbacks scope &quot;/signin&quot;, MyAppWeb do pipe_through :browser get &quot;/:provider&quot;, AuthController, :request get &quot;/:provider/callback&quot;, AuthController, :callback post &quot;/:provider/callback&quot;, AuthController, :callback endCreate a controller that will handle requests and callbacks to and from oktadefmodule MyAppWeb.AuthController do use MyAppWeb, :controller def request(conn, _params) do url = ExOktaAuth.Okta.authorize_url! conn |&gt; redirect(external: url) end def callback(conn, %{&quot;provider&quot; =&gt; _provider, &quot;code&quot; =&gt; code, &quot;state&quot; =&gt; _state}) do client = ExOktaAuth.Okta.get_token_without_auth!(code: code) user = get_user_information(client) conn |&gt; put_session(:current_user, user) |&gt; put_session(:access_token, client.token.access_token) |&gt; put_flash(:info, &quot;Welcome \#{user[&quot;given_name&quot;]}&quot;) |&gt; redirect(to: &quot;/&quot;) end defp get_user_information(client) do {:ok, resp} = ExOktaAuth.Okta.get_user_info(client) resp.body end end","ref":"readme.html#installation","title":"ExOktaAuth - Installation","type":"extras"},{"doc":"The library is available as open source under the terms of the MIT License.","ref":"readme.html#license","title":"ExOktaAuth - License","type":"extras"}]